org.jboss.shrinkwrap.descriptor.api.connector17

## Interface ConnectionDefinitionType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ConnectionDefinitionType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `connection-definitionType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `ConfigPropertyType<ConnectionDefinitionType<T>>` | `createConfig` Creates a new `config-property` element
    `ConnectionDefinitionType<T>` | `removeAllConfig` Removes all `config-property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionDefinitionType<T>` | `connectionfactoryImplClass(java.lang.String connectionfactoryImplClass)` Sets the `connectionfactory-impl-class` element
    `ConnectionDefinitionType<T>` | `connectionfactoryInterface(java.lang.String connectionfactoryInterface)` Sets the `connectionfactory-interface` element
    `ConnectionDefinitionType<T>` | `connectionImplClass(java.lang.String connectionImplClass)` Sets the `connection-impl-class` element
    `ConnectionDefinitionType<T>` | `connectionInterface(java.lang.String connectionInterface)` Sets the `connection-interface` element
    `ConfigPropertyType<ConnectionDefinitionType<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `java.util.List<ConfigPropertyType<ConnectionDefinitionType<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.lang.String` | `getConnectionfactoryImplClass()` Returns the `connectionfactory-impl-class` element
    `java.lang.String` | `getConnectionfactoryInterface()` Returns the `connectionfactory-interface` element
    `java.lang.String` | `getConnectionImplClass()` Returns the `connection-impl-class` element
    `java.lang.String` | `getConnectionInterface()` Returns the `connection-interface` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getManagedconnectionfactoryClass()` Returns the `managedconnectionfactory-class` element
    `ConfigPropertyType<ConnectionDefinitionType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `ConnectionDefinitionType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ConnectionDefinitionType<T>` | `managedconnectionfactoryClass(java.lang.String managedconnectionfactoryClass)` Sets the `managedconnectionfactory-class` element
    `ConnectionDefinitionType<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `ConnectionDefinitionType<T>` | `removeConnectionfactoryImplClass()` Removes the `connectionfactory-impl-class` element
    `ConnectionDefinitionType<T>` | `removeConnectionfactoryInterface()` Removes the `connectionfactory-interface` element
    `ConnectionDefinitionType<T>` | `removeConnectionImplClass()` Removes the `connection-impl-class` element
    `ConnectionDefinitionType<T>` | `removeConnectionInterface()` Removes the `connection-interface` element
    `ConnectionDefinitionType<T>` | `removeId()` Removes the `id` attribute
    `ConnectionDefinitionType<T>` | `removeManagedconnectionfactoryClass()` Removes the `managedconnectionfactory-class` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### createConfig

          ConfigPropertyType<ConnectionDefinitionType<T>> createConfigProperty

      Creates a new `config-property` element

    - #### removeAllConfig

          ConnectionDefinitionType<T> removeAllConfigProperty

      Removes all `config-property` elements

  - ### Method Detail

    - #### managedconnectionfactoryClass

          ConnectionDefinitionType<T> managedconnectionfactoryClass(java.lang.String managedconnectionfactoryClass)

      Sets the `managedconnectionfactory-class` element
      Parameters:
        `managedconnectionfactoryClass` - the value for the element `managedconnectionfactory-class`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getManagedconnectionfactoryClass

          java.lang.String getManagedconnectionfactoryClass()

      Returns the `managedconnectionfactory-class` element
      Returns:
        the node defined for the element `managedconnectionfactory-class`

    - #### removeManagedconnectionfactoryClass

          ConnectionDefinitionType<T> removeManagedconnectionfactoryClass()

      Removes the `managedconnectionfactory-class` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getOrCreateConfigProperty

          ConfigPropertyType<ConnectionDefinitionType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<ConnectionDefinitionType<T>> createConfigProperty()

      Creates a new `config-property` element

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<ConnectionDefinitionType<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          ConnectionDefinitionType<T> removeAllConfigProperty()

      Removes all `config-property` elements

    - #### connectionfactoryInterface

          ConnectionDefinitionType<T> connectionfactoryInterface(java.lang.String connectionfactoryInterface)

      Sets the `connectionfactory-interface` element
      Parameters:
        `connectionfactoryInterface` - the value for the element `connectionfactory-interface`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getConnectionfactoryInterface

          java.lang.String getConnectionfactoryInterface()

      Returns the `connectionfactory-interface` element
      Returns:
        the node defined for the element `connectionfactory-interface`

    - #### removeConnectionfactoryInterface

          ConnectionDefinitionType<T> removeConnectionfactoryInterface()

      Removes the `connectionfactory-interface` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### connectionfactoryImplClass

          ConnectionDefinitionType<T> connectionfactoryImplClass(java.lang.String connectionfactoryImplClass)

      Sets the `connectionfactory-impl-class` element
      Parameters:
        `connectionfactoryImplClass` - the value for the element `connectionfactory-impl-class`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getConnectionfactoryImplClass

          java.lang.String getConnectionfactoryImplClass()

      Returns the `connectionfactory-impl-class` element
      Returns:
        the node defined for the element `connectionfactory-impl-class`

    - #### removeConnectionfactoryImplClass

          ConnectionDefinitionType<T> removeConnectionfactoryImplClass()

      Removes the `connectionfactory-impl-class` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### connectionInterface

          ConnectionDefinitionType<T> connectionInterface(java.lang.String connectionInterface)

      Sets the `connection-interface` element
      Parameters:
        `connectionInterface` - the value for the element `connection-interface`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getConnectionInterface

          java.lang.String getConnectionInterface()

      Returns the `connection-interface` element
      Returns:
        the node defined for the element `connection-interface`

    - #### removeConnectionInterface

          ConnectionDefinitionType<T> removeConnectionInterface()

      Removes the `connection-interface` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### connectionImplClass

          ConnectionDefinitionType<T> connectionImplClass(java.lang.String connectionImplClass)

      Sets the `connection-impl-class` element
      Parameters:
        `connectionImplClass` - the value for the element `connection-impl-class`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getConnectionImplClass

          java.lang.String getConnectionImplClass()

      Returns the `connection-impl-class` element
      Returns:
        the node defined for the element `connection-impl-class`

    - #### removeConnectionImplClass

          ConnectionDefinitionType<T> removeConnectionImplClass()

      Removes the `connection-impl-class` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### id

          ConnectionDefinitionType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ConnectionDefinitionType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)